from django.shortcuts import render, redirect
from django.views import View

class RegisterView(View):
    # 跳转到注册页面
    def get(self, request):
        return render(request, 'register.html') 
    def post(self, request):
        # 接收
        username = request.POST.get('user_name')
        password = request.POST.get('pwd')
        cpwd = request.POST.get('cpwd')
        phone = request.POST.get('phone')
        allow = request.POST.get('allow')
        pic_code = request.POST.get('pic_code')
        
        # 验证
        # 处理
        context = {
            'username':username,
            'password':password,
            'cpwd':cpwd,
            'phone':phone,
            'allow':allow,
            'pic_code':pic_code
        }

        # 响应
        
        return render(request, 'index.html', context)
